-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0      -- large centre screen popup
MT_ALERT = 1	 -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32
MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

function OnEvent(event) 
	if (event == "introtext") then
	    SysCall ( "ScenarioManager:ShowInfoMessageExt", "Autozug durchs Rheintal", "intromessage.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
	end
	
	if (event == "cabcamera") then
		SysCall ( "CameraManager:ActivateCamera", "CabCamera", 0 );
	end	
	
	if event == "Zustimmung" then
	SysCall ( "ScenarioManager:PlayDialogueSound", "Zustimmung.wav");
	end	
	
	if event == "Kollege voll" then
	SysCall ( "ScenarioManager:PlayDialogueSound", "Kollege voll.wav");
	end	
	
	if event == "Bremse loesen" then
	SysCall ( "ScenarioManager:PlayDialogueSound", "Bremse loesen.wav");
	end	
	
	if event == "Bremse in Ordnung" then
	SysCall ( "ScenarioManager:PlayDialogueSound", "Bremse in Ordnung.wav");
	end
	
	if event == "Fertigmeldung" then
	SysCall ( "ScenarioManager:PlayDialogueSound", "Fertigmeldung.wav");
	end	
	
	if event == "Rand" then
	SysCall ( "ScenarioManager:PlayDialogueSound", "Rand.wav");
	end	
end